Bug 54644 - no RH7.1 installation on ICP Vortex RAID controller
no RH7.1 installation on ICP Vortex RAID controller
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-15 08:11 EDT by Olaf Zaplinski
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-10-17 04:36:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Olaf Zaplinski 2001-10-15 08:11:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [de] (X11; U; Linux 2.4.10 i686)

Description of problem:
Installation on a SCSI disk attached to a ICP Vortex RAID controller fails

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.see above

Actual Results:  install prog does not find /dev/[sh]da

Additional info:
Comment 1 Brent Fox 2001-10-15 15:55:51 EDT
Have you used this controller with previous versions of Red Hat Linux?  This
sounds like more of a kernel issue than an installer issue, though.
Comment 2 Brent Fox 2001-10-15 16:43:00 EDT
Ok, I tracked down an ICP Vortex controller in the test lab, and I think I might
know what the problem is.  Did you create a logical volume in the Vortex's setup
utility?  If you don't, then the drive is essentially non-existent as a volume
as far as the kernel is concerned.  

I was able to reproduce your problem by hooking up a drive that was not
previously arranged in a RAID configuration...the installer couldn't identify
it.  After using the firmware config tool to create a logical volume on the
disk, the installer ran perfectly.  Does this solve the problem?
Comment 3 Olaf Zaplinski 2001-10-16 03:18:56 EDT
Well, I have a logical disk; previously Win2K was installed, and it ran fine.
Comment 4 Brent Fox 2001-10-16 15:40:14 EDT
Hmm...can you try using the firmware to remove that logical volume and make a
completely new one?  I know that shouldn't make a difference, but I can't think
of any other reason why the kernel shouldn't see the drive.

If that doesn't work, can you press <Ctrl><Alt><F2> while in the installer
(before it crashes).  Then run the command 'cat /proc/scsi/gdth/0' and see what
the results are.
Comment 5 Olaf Zaplinski 2001-10-17 04:36:02 EDT
Please close this ticket - a co-worker installed SuSE on that box and it works,
so I cannot do any test anymore.

Note You need to log in before you can comment on or make changes to this bug.